## hdbc-postgresql 0.99.0.0build1

=== debian/changelog ===
hdbc-postgresql (0.99.0.0build1) dapper; urgency=low

  * Rebuild for registered/unregistered change of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Tue, 11 Apr 2006 23:06:15 +0200

hdbc-postgresql (0.99.0.0) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Dec 2005 16:57:21 -0600

## hdbc-postgresql 1.0.1.1

=== Makefile ===
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

GHCPARMS := -fglasgow-exts

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure --user
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs HDBC-postgresql.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/* testtmp*

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit -package MissingH -package HDBC -lpq $(GHCPARMS) -o runtests  -i../dist/build:.. ../dist/build/hdbc-postgresql-helper.o runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: hugsbuild
	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## hdbc-postgresql 0.99.2.0

=== debian/changelog ===
hdbc-postgresql (0.99.2.0) unstable; urgency=low

  * Updated for 0.99.2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 05:33:19 -0600

hdbc-postgresql (0.99.1.0) unstable; urgency=low

  * Releasing 0.99.1.0, with new memory management and column type
    meta information.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 27 Mar 2006 23:53:21 -0600

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 0.99.2), libhugs-hdbc (>= 0.99.2), libpq-dev (>= 8.1.1)
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

## hdbc-postgresql 1.0.0.0

=== debian/changelog ===
hdbc-postgresql (1.0.0.0) unstable; urgency=low

  * Blessing this version as 1.0.0.0
  * Rebuilt with ghc6 6.4.2 for Debian

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jun 2006 19:01:02 -0500

hdbc-postgresql (0.99.2.1) unstable; urgency=low

  * Give wrapobj a unique name so that this module can coexist with ODBC
    in a single program.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Mar 2006 22:19:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: hdbc-postgresql
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 0.99.2), libhugs-hdbc (>= 0.99.2), libpq-dev (>= 8.1.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.0), libhugs-hdbc (>= 1.0.0), libpq-dev (>= 8.1.1)
 Standards-Version: 3.6.2
 Section: libs
 
 Package: libghc6-hdbc-postgresql-dev
 Section: libdevel
 Architecture: any
-Depends: libghc6-hdbc-dev (>= 0.99.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
+Depends: libghc6-hdbc-dev (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
 Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
  HDBC provides an abstraction layer between Haskell programs and SQL
  relational databases. This lets you write database code once, in

## hdbc-postgresql 1.0.1.0

=== debian/changelog ===
hdbc-postgresql (1.0.1.0) unstable; urgency=low

  * Fix unknown column size, such as for text columns

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Jul 2006 07:08:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: hdbc-postgresql
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.0), libhugs-hdbc (>= 1.0.0), libpq-dev (>= 8.1.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.1), libhugs-hdbc (>= 1.0.1), libpq-dev (>= 8.1.1)
 Standards-Version: 3.6.2
 Section: libs
 
 Package: libghc6-hdbc-postgresql-dev
 Section: libdevel
 Architecture: any
-Depends: libghc6-hdbc-dev (>= 1.0.0), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
+Depends: libghc6-hdbc-dev (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
 Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
  HDBC provides an abstraction layer between Haskell programs and SQL
  relational databases. This lets you write database code once, in

## hdbc-postgresql 1.0.1.1

=== debian/changelog ===
hdbc-postgresql (1.0.1.1) unstable; urgency=low

  * Rebuilt for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 22:05:41 -0500

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.0.1.2), libhugs-hdbc (>= 1.0.1), libpq-dev (>= 8.1.1), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.0.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1), libghc6-mtl-dev
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.0.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

## hdbc-postgresql 1.1.2.1

=== debian/changelog ===
hdbc-postgresql (1.1.2.1) unstable; urgency=low

  * Update for GHC 6.6.1.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Jun 2007 07:05:30 -0500

hdbc-postgresql (1.1.2.0) unstable; urgency=low

  * Update for HDBC 1.1.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 May 2007 04:25:11 -0500

hdbc-postgresql (1.1.0.0) unstable; urgency=low

  * New API thanks to Peter Thiemann.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 May 2007 05:51:21 -0500

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.2.1), libhugs-hdbc (>= 1.1.2), libpq-dev (>= 8.1.1), libghc6-mtl-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.2.1), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1), libghc6-mtl-dev
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.2), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

## hdbc-postgresql 1.1.4.1.0

=== Makefile ===
--- 
+++ 
@@ -17,19 +17,22 @@
 GHCPARMS := -fglasgow-exts
 
 .PHONY: all hugsbuild
-all: setup			# GHC build
-	./setup configure --user
-	./setup build
+all:
+	./Setup.lhs configure
+	./Setup.lhs build
 
-hugsbuild: setup
-	./setup configure --hugs
-	./setup build
+hugsbuild: 
+	./Setup.lhs configure --hugs
+	./Setup.lhs build
+
+install:
+	./Setup.lhs install
 
 setup: Setup.lhs HDBC-postgresql.cabal
 	ghc -package Cabal Setup.lhs -o setup
 
 clean:
-	-./setup clean
+	-./Setup.lhs clean
 	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
 		`find . -name "*~"` *.a setup dist testsrc/runtests \
 		local-pkg doctmp

=== debian/changelog ===
hdbc-postgresql (1.1.4.1.0) unstable; urgency=low

  * Deal with PostgreSQL version numbers containing "RC".
  * Added build-dep and depends on Parsec.  Closes: #461599.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 04 Feb 2008 03:14:58 -0600

hdbc-postgresql (1.1.4.0.0) unstable; urgency=low

  * Updated for GHC 6 and HDBC 1.1.4.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 11:15:36 -0600

hdbc-postgresql (1.1.3.0.1) unstable; urgency=low

  * Added build-dep on libhugs-parsec.  Closes: #458666.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 Jan 2008 02:27:05 -0600

hdbc-postgresql (1.1.3.0.0) unstable; urgency=low

  * Update cabal
  * Strictify a few functions for 1.1.3 API
  * Improve metadata handling.  Patch from Steve Harris
  * Use better SqlValue constructors for column types.  Patch from
    Steve Harris.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 31 Oct 2007 13:24:49 -0500

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.4), libhugs-hdbc (>= 1.1.4), libpq-dev (>= 8.1.1), libghc6-mtl-dev, libhugs-parsec, libghc6-parsec-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.4), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1), libghc6-mtl-dev, libghc6-parsec-dev
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.4), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libhugs-parsec
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases
 (MySQL, Oracle, PostgreSQL, ODBC-compliant databases, etc.)
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-./setup clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_haskell -a
#	$(MAKE) clean
# We can't test PostgreSQL because the server may not be available for
# the build user.
#$(MAKE) test

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a README.txt
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hdbc-postgresql 1.1.4.1.1

=== debian/changelog ===
hdbc-postgresql (1.1.4.1.1) unstable; urgency=low

  * Updated build-deps and rebuilt with HDBC 1.1.5.
  * Removed a bit of boilerplate frmo description.  Closes: #447886.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Jun 2008 09:09:01 -0500

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.5), libhugs-hdbc (>= 1.1.5), libpq-dev (>= 8.1.1), libghc6-mtl-dev, libhugs-parsec, libghc6-parsec-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.5), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1), libghc6-mtl-dev, libghc6-parsec-dev
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.4), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libhugs-parsec
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

## hdbc-postgresql 1.1.6.0.1

=== debian/changelog ===
hdbc-postgresql (1.1.6.0.1) unstable; urgency=high

  * Rebuild for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:18:56 -0600

hdbc-postgresql (1.1.6.0.0) unstable; urgency=low

  * New version with GHC 6.10 compatibility.
  * Added dh_haskell_depends call.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 30 Dec 2008 09:01:20 -0600

=== debian/control ===
Source: hdbc-postgresql
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, haddock, hugs (>= 98.200503.08), libghc6-hdbc-dev (>= 1.1.6.2), libhugs-hdbc (>= 1.1.6.2), libpq-dev (>= 8.1.1), libghc6-mtl-dev, libhugs-parsec, libghc6-parsec-dev
Standards-Version: 3.6.2
Section: libs

Package: libghc6-hdbc-postgresql-dev
Section: libdevel
Architecture: any
Depends: libghc6-hdbc-dev (>= 1.1.6), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1), libghc6-mtl-dev, libghc6-parsec-dev
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libhugs-hdbc-postgresql
Section: libs
Architecture: any
Depends: libhugs-hdbc (>= 1.1.6), ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libhugs-parsec
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for Hugs
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under Hugs.

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	# Add here commands to install the package into debian/tmp
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 #	$(MAKE) clean
 # We can't test PostgreSQL because the server may not be available for
 # the build user.

## hdbc-postgresql 2.3.2.1

=== debian/changelog ===
hdbc-postgresql (2.3.2.1-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 08:51:06 +0100

hdbc-postgresql (2.3.2.1-3) unstable; urgency=low

  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:43 +0200

hdbc-postgresql (2.3.2.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Add watch file

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:10:46 +0100

hdbc-postgresql (2.3.2.1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Wed, 07 Mar 2012 20:18:10 -0500

hdbc-postgresql (2.2.3.1-5) unstable; urgency=low

  * [a016c10] s/ghc6/ghc/ for GHC 7 transition
  * [6c309c4] Use Haskell substvars, particularly haskell:Provides
  * [0c0555c] Add prof package

 -- Iain Lane <laney@debian.org>  Tue, 31 May 2011 09:35:51 +0100

hdbc-postgresql (2.2.3.1-4) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 23:13:57 -0300

hdbc-postgresql (2.2.3.1-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * Fix "please update build-depends of haskell-hdbc-doc" updating -doc
    packages in Build-Depends to new packages names.  (Closes: #576099)
  * Use Build-Depends-Indep.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 27 Apr 2010 12:41:55 +0200

hdbc-postgresql (2.2.3.1-2) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 19:48:05 -0300

hdbc-postgresql (2.2.3.1-1) unstable; urgency=low

  * New upstream version.  Closes: #570880.
  * Rebuild with GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 15:02:32 -0600

hdbc-postgresql (2.2.0.0-2) unstable; urgency=low

  * Switch to hlibrary.mk (Closes: 559654) 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Dec 2009 21:20:20 +0100

hdbc-postgresql (2.2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Switching to Haskell team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 03 Nov 2009 08:55:44 -0600

hdbc-postgresql (2.1.0.2-1) unstable; urgency=low

  * Small new features.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Jul 2009 15:09:45 -0500

hdbc-postgresql (2.1.0.1-1) unstable; urgency=low

  * Update for GHC 6.10.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 06 Mar 2009 08:08:35 -0600

hdbc-postgresql (2.1.0.0-1) unstable; urgency=low

  * New upstream release, supporting fractions of seconds.
  * Fix documentation package.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 10 Feb 2009 13:34:42 -0600

hdbc-postgresql (2.0.0.0-1) unstable; urgency=low

  * New upstream release.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jan 2009 14:38:59 -0600

=== debian/control ===
Source: hdbc-postgresql
Priority: extra
Section: haskell
Uploaders: John Goerzen <jgoerzen@complete.org>
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
 ghc (>= 6.12),
 ghc-prof (>= 6.12),
 haskell-devscripts (>= 0.8.13),
 cdbs,
 cpphs,
 haddock,
 hscolour,
 libghc-hdbc-dev (>= 2.2.0),
 libpq-dev (>= 8.1.1),
 libghc-mtl-dev,
 libghc-hdbc-prof (>= 2.2.0),
 libghc-mtl-prof
 , libghc-convertible-dev
 , libghc-convertible-prof
 , libghc-parsec3-dev
 , libghc-parsec3-prof
 , libghc-utf8-string-dev
 , libghc-utf8-string-prof
Build-Depends-Indep: ghc-doc
 , libghc-hdbc-doc
 , libghc-mtl-doc
 , libghc-parsec3-doc
 , libghc-convertible-doc
 , libghc-utf8-string-doc
Standards-Version: 3.9.4
Homepage: http://software.complete.org/hdbc-postgresql
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hdbc-postgresql
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hdbc-postgresql

Package: libghc-hdbc-postgresql-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}, libpq-dev (>= 8.1.1)
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libghc-hdbc-postgresql-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: PostgreSQL HDBC Driver for GHC; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC
 compiled for profiling.

Package: libghc-hdbc-postgresql-doc
Replaces: haskell-hdbc-postgresql-doc (<< 2.2.3.1-3)
Conflicts: haskell-hdbc-postgresql-doc (<< 2.2.3.1-3)
Provides: haskell-hdbc-postgresql-doc, ${haskell:Provides}
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: PostgreSQL HDBC (Haskell Database Connectivity) documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HDBC-postgresql-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HDBC-postgresql \
    ([\d\.]*\d)/

## hdbc-postgresql 2.3.2.2

=== debian/changelog ===
hdbc-postgresql (2.3.2.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:52 +0200

hdbc-postgresql (2.3.2.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:56 +0100

hdbc-postgresql (2.3.2.2-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Fix Homepage URL
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 04 Aug 2014 22:44:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
  ghc (>= 6.12),
  ghc-prof (>= 6.12),
- haskell-devscripts (>= 0.8.13),
+ haskell-devscripts (>= 0.9),
  cdbs,
  cpphs,
  haddock,
@@ -29,7 +29,7 @@
  , libghc-convertible-doc
  , libghc-utf8-string-doc
 Standards-Version: 3.9.4
-Homepage: http://software.complete.org/hdbc-postgresql
+Homepage: http://hackage.haskell.org/package/HDBC-postgresql
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hdbc-postgresql
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hdbc-postgresql

## hdbc-postgresql 2.3.2.3

=== debian/changelog ===
hdbc-postgresql (2.3.2.3-2build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 00:14:56 +0000

hdbc-postgresql (2.3.2.3-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

hdbc-postgresql (2.3.2.3-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:12 +0200

=== debian/control ===
Source: hdbc-postgresql
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 ghc (>= 6.12),
 ghc-prof (>= 6.12),
 haskell-devscripts (>= 0.10),
 cdbs,
 cpphs,
 haddock,
 hscolour,
 libghc-hdbc-dev (>= 2.2.0),
 libpq-dev (>= 8.1.1),
 libghc-mtl-dev,
 libghc-hdbc-prof (>= 2.2.0),
 libghc-mtl-prof,
 libghc-convertible-dev,
 libghc-convertible-prof,
 libghc-parsec3-dev,
 libghc-parsec3-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
Build-Depends-Indep: ghc-doc,
 libghc-hdbc-doc,
 libghc-mtl-doc,
 libghc-parsec3-doc,
 libghc-convertible-doc,
 libghc-utf8-string-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/HDBC-postgresql
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hdbc-postgresql-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libpq-dev (>= 8.1.1),
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libghc-hdbc-postgresql-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: PostgreSQL HDBC Driver for GHC; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC
 compiled for profiling.

Package: libghc-hdbc-postgresql-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: haskell-hdbc-postgresql-doc (<< 2.2.3.1-3),
Provides: haskell-hdbc-postgresql-doc,
 ${haskell:Provides},
Replaces: haskell-hdbc-postgresql-doc (<< 2.2.3.1-3),
Description: PostgreSQL HDBC (Haskell Database Connectivity) documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.

## hdbc-postgresql 2.3.2.4

=== debian/changelog ===
hdbc-postgresql (2.3.2.4-3build4) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 04:02:40 +0000

hdbc-postgresql (2.3.2.4-3build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 13:31:07 +0200

hdbc-postgresql (2.3.2.4-3build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:18:43 +0000

hdbc-postgresql (2.3.2.4-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 09:07:18 +0100

hdbc-postgresql (2.3.2.4-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:17 -0400

hdbc-postgresql (2.3.2.4-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 11:56:42 -0400

hdbc-postgresql (2.3.2.4-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 15:56:25 -0400

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HDBC-postgresql/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdbc-postgresql 2.3.2.5

=== debian/changelog ===
hdbc-postgresql (2.3.2.5-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:42:52 -0400

=== debian/control ===
Source: hdbc-postgresql
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: optional
Section: haskell
Build-Depends:
 cdbs,
 cpphs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haddock,
 haskell-devscripts (>= 0.13),
 hscolour,
 libghc-convertible-dev,
 libghc-convertible-prof,
 libghc-hdbc-dev (>= 2.2.0),
 libghc-hdbc-prof (>= 2.2.0),
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-parsec3-dev,
 libghc-parsec3-prof,
 libghc-utf8-string-dev,
 libghc-utf8-string-prof,
 libpq-dev (>= 8.1.1),
Build-Depends-Indep:
 ghc-doc,
 libghc-convertible-doc,
 libghc-hdbc-doc,
 libghc-mtl-doc,
 libghc-parsec3-doc,
 libghc-utf8-string-doc,
Standards-Version: 4.1.4
Homepage: http://hackage.haskell.org/package/HDBC-postgresql
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc-postgresql
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git

Package: libghc-hdbc-postgresql-dev
Architecture: any
Depends:
 libpq-dev (>= 8.1.1),
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: PostgreSQL HDBC (Haskell Database Connectivity) Driver for GHC
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC.

Package: libghc-hdbc-postgresql-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: PostgreSQL HDBC Driver for GHC; profiling libraries
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.
 .
 This package provides the PostgreSQL database driver for HDBC under GHC
 compiled for profiling.

Package: libghc-hdbc-postgresql-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 haskell-hdbc-postgresql-doc (<< 2.2.3.1-3),
Provides:
 haskell-hdbc-postgresql-doc,
 ${haskell:Provides},
Replaces:
 haskell-hdbc-postgresql-doc (<< 2.2.3.1-3),
Description: PostgreSQL HDBC (Haskell Database Connectivity) documentation
 HDBC provides an abstraction layer between Haskell programs and SQL
 relational databases. This lets you write database code once, in
 Haskell, and have it work with any number of backend SQL databases.

## hdbc-postgresql 2.3.2.7

=== debian/changelog ===
hdbc-postgresql (2.3.2.7-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 02:01:30 +0000

hdbc-postgresql (2.3.2.7-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:15:36 +0200

hdbc-postgresql (2.3.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 16 Jun 2020 20:53:10 -0400

hdbc-postgresql (2.3.2.5-4) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:16 +0300

hdbc-postgresql (2.3.2.5-3) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:38 +0300

hdbc-postgresql (2.3.2.5-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: hdbc-postgresql
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  cpphs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haddock,
  haskell-devscripts (>= 0.13),
@@ -17,10 +19,6 @@
  libghc-convertible-prof,
  libghc-hdbc-dev (>= 2.2.0),
  libghc-hdbc-prof (>= 2.2.0),
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-parsec3-dev,
- libghc-parsec3-prof,
  libghc-utf8-string-dev,
  libghc-utf8-string-prof,
  libpq-dev (>= 8.1.1),
@@ -28,13 +26,11 @@
  ghc-doc,
  libghc-convertible-doc,
  libghc-hdbc-doc,
- libghc-mtl-doc,
- libghc-parsec3-doc,
  libghc-utf8-string-doc,
 Standards-Version: 4.1.4
 Homepage: http://hackage.haskell.org/package/HDBC-postgresql
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc-postgresql
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc-postgresql]
 
 Package: libghc-hdbc-postgresql-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/HDBC-postgresql/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdbc-postgresql 2.5.0.1

=== debian/changelog ===
hdbc-postgresql (2.5.0.1-4) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 07 Jan 2026 20:53:48 +0200

hdbc-postgresql (2.5.0.1-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 20 Sep 2024 09:10:57 +0300

hdbc-postgresql (2.5.0.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Sep 2023 22:38:39 +0300

hdbc-postgresql (2.5.0.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 03 Jul 2022 17:40:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: hdbc-postgresql
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
+ dh-sequence-haskell,
  cpphs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ debhelper-compat (= 13),
+ ghc (>= 9.4),
  ghc-prof,
  haddock,
  haskell-devscripts (>= 0.13),
@@ -27,7 +26,7 @@
  libghc-convertible-doc,
  libghc-hdbc-doc,
  libghc-utf8-string-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.0
 Homepage: http://hackage.haskell.org/package/HDBC-postgresql
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hdbc-postgresql
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hdbc-postgresql]
